サポートアクセス許可を一覧表示

GET /v1/support-access-grants · 権限 support-access-grants:read

この環境が KeenAuth サポート担当者に与えた期限付きアクセスを新しい順に一覧表示します。前方ページネーション (after) のみ対応し、before および desc 以外の order は 422 を返します。status はその状態の許可のみを返します。expired は取り消されておらず expires_at を過ぎた許可です。

リクエスト

フィールド タイプ 必須 説明
limit integer いいえ ページサイズ、1-100 (既定 20)。
after string いいえ 前のページの list_metadata.after カーソル。
status string いいえ この状態の許可のみ: active、revoked、expired。

リクエストボディはありません。

レスポンス

許可のページを含む 200 OK。

{
  "data": [
    {
      "id": "sag_01j9xk3m7q8r2s4t6v8w0y2z4a",
      "scope": "read",
      "status": "active",
      "ticket_ref": "SUP-48213",
      "allowed_regions_of_staff": ["eu"],
      "granted_by": "du_01j9xk2p5n7q9s1t3v5w7y9z1b",
      "created_at": "2026-10-12T09:30:00.123456Z",
      "expires_at": "2026-10-13T09:30:00.123456Z",
      "revoked_at": null
    }
  ],
  "list_metadata": {
    "before": null,
    "after": null
  }
}

エラー

HTTP コード 概要
400 invalid_cursor カーソルの形式が不正か、別のフィルターのものです。
422 validation_failed クエリパラメーターが無効です (before、order=asc、不明な status)。
403 insufficient_permissions 認証情報に必要な権限がありません。
401 unauthenticated 認証情報がない、無効、または失効しています。
429 rate_limited レート制限を超えました。Retry-After の時間が経過してから再試行してください。
503 service_unavailable 依存サービスが一時的に利用できません。Retry-After の時間が経過してから再試行してください。

例

curl "https://api.eu.keenauth.com/v1/support-access-grants?status=active&limit=20" \
  -H "Authorization: Bearer $KEENAUTH_SECRET_KEY"